]> granicus.if.org Git - postgis/commitdiff
initial revision
authorSandro Santilli <strk@keybit.net>
Tue, 11 Jan 2005 16:54:41 +0000 (16:54 +0000)
committerSandro Santilli <strk@keybit.net>
Tue, 11 Jan 2005 16:54:41 +0000 (16:54 +0000)
git-svn-id: http://svn.osgeo.org/postgis/trunk@1274 b70326c6-7e19-0410-871a-916f4a2858ee

make_dist.sh [new file with mode: 0644]

diff --git a/make_dist.sh b/make_dist.sh
new file mode 100644 (file)
index 0000000..1b7a175
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+major=`grep ^SO_MAJOR_VERSION lwgeom/Makefile | cut -d= -f2`
+minor=`grep ^SO_MINOR_VERSION lwgeom/Makefile | cut -d= -f2`
+micro=`grep ^SO_MICRO_VERSION lwgeom/Makefile | cut -d= -f2`
+
+tag="pgis_"$major"_"$minor"_"$micro
+version="$major.$minor.$micro"
+package="postgis-$version.tgz"
+outdir="postgis-$version"
+
+if [ -d "$outdir" ]; then
+       echo "Output directory $outdir already exist"
+       exit 1
+fi
+
+echo "Exporting tag $tag"
+cvs export -r "$tag" -d "$outdir" postgis 
+if [ $? -gt 0 ]; then
+       exit 1
+fi
+
+# remove .cvsignore
+echo "Removing .cvsignore and make_dist files"
+find "$outdir" -name .cvsignore -exec rm {} \;
+rm -f "$outdir"/make_dist
+
+# remove regress tests
+echo "Removing regress tests"
+rm -Rf $outdir/regress
+
+# generating documentation
+echo "Generating documentation"
+owd="$PWD"
+cd "$outdir"/doc
+make html
+if [ $? -gt 0 ]; then
+       exit 1
+fi
+cd "$owd"
+
+echo "Generating tar file"
+tar czf "$package" "$outdir"
+
+#echo "Cleaning up"
+#rm -Rf "$outdir"
+
+echo "Package file is $package"
+echo "Package dir is $outdir"